AgentBots
Get an agent bot details
Get the details of an agent bot
GET
/
platform
/
api
/
v1
/
agent_bots
/
{id}
Get an agent bot details
curl --request GET \
--url https://app.bluechat.lat/platform/api/v1/agent_bots/{id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.bluechat.lat/platform/api/v1/agent_bots/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.bluechat.lat/platform/api/v1/agent_bots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"description": "<string>",
"thumbnail": "<string>",
"outgoing_url": "<string>",
"bot_type": "<string>",
"bot_config": {},
"account_id": 123,
"access_token": "<string>",
"system_bot": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by the system admin after creating a platformApp. This token should be used to provision agent bots, accounts, users and their roles.
Path Parameters
The ID of the agentbot to be updated
Response
Success
ID of the agent bot
The name of the agent bot
The description about the agent bot
The thumbnail of the agent bot
The webhook URL for the bot
The type of the bot
The configuration of the bot
Account ID if it's an account specific bot
The access token for the bot
Whether the bot is a system bot
⌘I
Get an agent bot details

